Skip to main content
GET
/
opportunities
/
{id}
Get opportunity
curl --request GET \
  --url https://api.gospott.com/opportunities/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "name": {
    "viewType": "opportunityName",
    "name": "<string>"
  },
  "description": {
    "viewType": "opportunityDescription",
    "description": "<string>"
  },
  "stage": {
    "viewType": "opportunityStage",
    "stage": {
      "id": "<string>",
      "name": "<string>",
      "order": 123,
      "isOpen": true
    }
  },
  "company": {
    "viewType": "opportunityCompany",
    "company": {
      "id": "<string>",
      "name": "<string>"
    }
  },
  "owner": {
    "viewType": "opportunityOwner",
    "owner": {
      "id": "<string>",
      "name": "<string>",
      "avatarUrl": "<string>",
      "deactivatedAt": "2023-11-07T05:31:56Z"
    }
  },
  "closeDate": {
    "viewType": "opportunityCloseDate",
    "closeDate": {
      "target": "2023-11-07T05:31:56Z"
    }
  },
  "createdAt": {
    "viewType": "opportunityCreatedAt",
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "clientTeam": {
    "viewType": "opportunityClientTeam",
    "clientTeam": [
      {
        "id": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "middleName": "<string>",
        "secondLastName": "<string>",
        "avatarUrl": "<string>",
        "candidateId": "<string>",
        "companyId": "<string>",
        "companyName": "<string>",
        "companyLogoUrl": "<string>",
        "jobTitle": "<string>",
        "department": "<string>",
        "emails": [
          {
            "purpose": "personal",
            "email": "jsmith@example.com",
            "isPrimary": true
          }
        ],
        "phoneNumbers": [
          {
            "purpose": "personal",
            "phoneNumber": "<string>",
            "isPrimary": true
          }
        ]
      }
    ]
  },
  "nextTaskDue": {
    "viewType": "opportunityNextTaskDue",
    "nextTaskDue": {
      "id": "<string>",
      "content": "<string>",
      "dueDate": "2023-11-07T05:31:56Z"
    }
  },
  "customAttributes": [
    {
      "value": {
        "viewType": "customText",
        "text": "<string>"
      },
      "attributeDefinitionId": "<string>",
      "label": "<string>",
      "aiFillOngoing": true,
      "aiOverridden": true,
      "isFilledByAI": true
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Response

Successfully retrieved opportunity details

id
string
required

Unique identifier of the opportunity

name
object
required

The name of the opportunity

description
object
required

The description of the opportunity

stage
object
required

The current pipeline stage

company
object
required

The company associated with this opportunity

owner
object
required

The owner of this opportunity

closeDate
object
required

The target close date

createdAt
object
required

When the opportunity was created

clientTeam
object
required

Client contacts on this opportunity

nextTaskDue
object
required

The next task due for this opportunity

customAttributes
object[]
required

Custom attribute values defined for this opportunity